RobinCsl
Repos
58
Followers
42
Following
81

Events

issue comment
Jira Integration shows contradicting states in the UI

Hi @snigdhas, thanks for the update!

Am I right in assuming the fix hasn't been deployed yet?

It seems the issue persists on my side.

Created at 1 week ago
opened issue
Jira Integration shows contradicting states in the UI

Environment

SaaS (https://sentry.io/)

Version

No response

Link

https://sentry.io/settings/kiwicom/integrations/jira/

DSN

No response

Steps to Reproduce

  1. Go to Integrations settings screen Jira appears to be Not Installed. Screenshot 2023-01-19 at 12 56 16

  2. Click on the Jira integration to configure it. Jira appears to be Installed and the specific integration is shown as Enabled. Screenshot 2023-01-19 at 12 56 29

Could you please look into it? Many thanks!

Expected Result

The Jira integration state is coherent across the UI.

Jira being Installed and the integration being shown as Enabled should mean the whole integration works as expected.

Actual Result

When on the issue view and trying to link to a Jira ticket, it is not possible to link to Jira. Nothing Jira related is present in the UI. Screenshot 2023-01-19 at 13 01 42

When trying to access Sentry-related information from Jira, we obtain an error message as shown in the screenshot below. Screenshot 2023-01-19 at 13 02 52

Note: the integration was working at some point and it stopped working recently (sadly, we didn't realise this immediately, so I cannot be more precise).

Created at 1 week ago
Created at 1 month ago
Created at 1 month ago

chore: use Node.js 16 and 18 for CI (#174)

  • chore: use Node.js 16 and 18 for CI

  • chore: update actions/{checkout,setup-node} to v3

The v1 actions were relying on Node.js 12, which is deprecated.

chore: replace eslint-plugin-prettier with just prettier

chore: update most dependencies

and fix resulting issues.

Created at 2 months ago
pull request opened
chore: use Node.js 16 and 18 for CI

chore: update actions/{checkout,setup-node} to v3

The v1 actions were relying on Node.js 12, which is deprecated.


chore: use Node.js 16 and 18 for CI


Created at 2 months ago
RobinCsl create branch rcsl/update-workflows
Created at 2 months ago

chore: add Node.js 10 and 12 back for Kodiak to be happy?

Created at 2 months ago

chore: update actions/{checkout,setup-node} to v3

The v1 actions were relying on Node.js 12, which is deprecated.

Created at 2 months ago

chore: update most dependencies

and fix resulting issues.

chore: use Node.js 16 and 18 for CI

Created at 2 months ago

chore: use Node.js 16 and 18 for CI

Created at 2 months ago

chore: use Node.js 16 and 18 for CI

Created at 2 months ago